<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/useractionscomponent/actions/continuous/expansionactionpaint.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/da5/a03465_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionpaint.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/da5/a03465.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionPaint.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d9a/a02631.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d9a/a02631.html">ExpansionActionPaintCB</a> : ActionContinuousBaseCB</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{   </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d9a/a02631.html#aa8eaed8da4b6553972f76e3be2bf78cd">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9a/a02631.html#aa8eaed8da4b6553972f76e3be2bf78cd">CreateActionComponent</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ActionData.m_ActionComponent = <span class="keyword">new</span> CAContinuousTime( 0.1 );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>};</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d2d/a01635.html">ExpansionActionPaint</a>: <a class="code hl_class" href="../../db/d39/a02575.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#a81ca70612f27bab79b544561bb0b1d58">   23</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d2d/a01635.html#a81ca70612f27bab79b544561bb0b1d58">m_TargetName</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#adda85b05fdabb334bb996ae2fc8ed33e">   24</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d2d/a01635.html#adda85b05fdabb334bb996ae2fc8ed33e">m_TargetDisplayName</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">   26</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../d3/d80/a02559.html">ExpansionSkinModule</a> <a class="code hl_variable" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">m_SkinModule</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#aab5a7d093fb3ea7f3abaae98f2d25091">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#aab5a7d093fb3ea7f3abaae98f2d25091">ExpansionActionPaint</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_CallbackClass = <a class="code hl_class" href="../../d0/d9a/a02631.html">ExpansionActionPaintCB</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_ATTACHITEM;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_FullBody = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ALL;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_SpecialtyWeight = UASoftSkillsWeight.PRECISE_LOW;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        CF_Modules&lt;ExpansionSkinModule&gt;.Get(<a class="code hl_variable" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">m_SkinModule</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#a86bc60a7647c200112d1ff5435236f19">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#a86bc60a7647c200112d1ff5435236f19">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        m_ConditionItem = <span class="keyword">new</span> CCINonRuined;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_ConditionTarget = <span class="keyword">new</span> CCTObject(UAMaxDistances.BASEBUILDING);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#a3a5c57137c6c94c46328c035701ea4ee">   45</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#a3a5c57137c6c94c46328c035701ea4ee">GetInputType</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> ContinuousInteractActionInput;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#ab9ec71d994c38a146cd3b1ef313ab74e">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#ab9ec71d994c38a146cd3b1ef313ab74e">GetText</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_PAINT &quot;</span> + <a class="code hl_variable" href="../../dd/d2d/a01635.html#adda85b05fdabb334bb996ae2fc8ed33e">m_TargetDisplayName</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#ab4ccc84f111cc7f214893875e70d1ea7">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#ab4ccc84f111cc7f214893875e70d1ea7">ActionCondition</a>( <a class="code hl_class" href="../../d3/d19/a01847.html">PlayerBase</a> player, <a class="code hl_class" href="../../d8/dd0/a02711.html">ActionTarget</a> target, <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a> item )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">m_SkinModule</a> )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d5/d4d/a02763.html">ExpansionSpraycanBase</a> spraycan;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment"></span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">        //! Print( player.GetItemInHands() );</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment"></span>        <span class="keywordflow">if</span> ( !Class.CastTo( spraycan, player.GetItemInHands() ) )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_variable" href="../../dd/d2d/a01635.html#a81ca70612f27bab79b544561bb0b1d58">m_TargetName</a> = target.GetObject().GetType();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">string</span> spraySkin;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        GetGame().ConfigGetText( <span class="stringliteral">&quot;cfgVehicles &quot;</span> + spraycan.GetType() + <span class="stringliteral">&quot; skinName&quot;</span>, spraySkin );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordtype">int</span> skinIndex = <a class="code hl_variable" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">m_SkinModule</a>.<a class="code hl_function" href="../../d3/d80/a02559.html#acfb8193ed909a421fc41532be55bc815">GetSkinIndex</a>( <a class="code hl_variable" href="../../dd/d2d/a01635.html#a81ca70612f27bab79b544561bb0b1d58">m_TargetName</a>, spraySkin );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( skinIndex == -1 )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_variable" href="../../dd/d2d/a01635.html#adda85b05fdabb334bb996ae2fc8ed33e">m_TargetDisplayName</a> = target.GetObject().GetDisplayName();<span class="comment"></span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">        //! Print( m_TargetDisplayName );</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment"></span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#a371f38091a94040aea784a2c04887920">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#a371f38091a94040aea784a2c04887920">OnStartServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SKIN, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnStartServer&quot;</span>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        super.OnStartServer( action_data );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_class" href="../../d6/df9/a02923.html">CarScript</a> car;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_class" href="../../dd/d38/a01663.html">ItemBase</a> item;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordtype">string</span> spraySkin;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        GetGame().ConfigGetText( <span class="stringliteral">&quot;cfgVehicles &quot;</span> + action_data.m_MainItem.GetType() + <span class="stringliteral">&quot; skinName&quot;</span>, spraySkin );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordtype">int</span> skinIndex = <a class="code hl_variable" href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">m_SkinModule</a>.<a class="code hl_function" href="../../d3/d80/a02559.html#acfb8193ed909a421fc41532be55bc815">GetSkinIndex</a>( action_data.m_Target.GetObject().GetType(), spraySkin );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( skinIndex == -1 )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">if</span> ( Class.CastTo( car, action_data.m_Target.GetObject() ) )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            car.<a class="code hl_function" href="../../d6/df9/a02923.html#ab6aa9c36855d56239cf312e722fa41c6">ExpansionSetSkin</a>( skinIndex );</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( Class.CastTo( item, action_data.m_Target.GetObject() ) ) </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            item.<a class="code hl_function" href="../../dd/d38/a01663.html#ac09ecb040b563d10461f145db0f55e12">ExpansionSetSkin</a>( skinIndex );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        action_data.m_MainItem.AddQuantity( -10 );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> ( !GetGame().IsServer() || !GetGame().IsMultiplayer() )</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            SEffectManager.PlaySound( <span class="stringliteral">&quot;Expansion_Spraying_SoundSet&quot;</span>, action_data.m_Target.GetObject().GetPosition() );</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../dd/d2d/a01635.html#ad42f7286644018f653b7bed6a9359bed">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d2d/a01635.html#ad42f7286644018f653b7bed6a9359bed">OnStartClient</a>( ActionData action_data )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        super.OnStartClient( action_data );</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        SEffectManager.PlaySound(<span class="stringliteral">&quot;Expansion_Spraying_SoundSet&quot;</span>, action_data.m_Target.GetObject().GetPosition() );</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa01635_html"><div class="ttname"><a href="../../dd/d2d/a01635.html">ExpansionActionPaint</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d66/a03462_source.html#l00013">expansionactionpaint.c:14</a></div></div>
<div class="ttc" id="aa01635_html_a2ebe62f472adef5f1f1eb4b058324b61"><div class="ttname"><a href="../../dd/d2d/a01635.html#a2ebe62f472adef5f1f1eb4b058324b61">ExpansionActionPaint::m_SkinModule</a></div><div class="ttdeci">private ExpansionSkinModule m_SkinModule</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00026">expansionactionpaint.c:26</a></div></div>
<div class="ttc" id="aa01635_html_a371f38091a94040aea784a2c04887920"><div class="ttname"><a href="../../dd/d2d/a01635.html#a371f38091a94040aea784a2c04887920">ExpansionActionPaint::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00082">expansionactionpaint.c:82</a></div></div>
<div class="ttc" id="aa01635_html_a3a5c57137c6c94c46328c035701ea4ee"><div class="ttname"><a href="../../dd/d2d/a01635.html#a3a5c57137c6c94c46328c035701ea4ee">ExpansionActionPaint::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00045">expansionactionpaint.c:45</a></div></div>
<div class="ttc" id="aa01635_html_a81ca70612f27bab79b544561bb0b1d58"><div class="ttname"><a href="../../dd/d2d/a01635.html#a81ca70612f27bab79b544561bb0b1d58">ExpansionActionPaint::m_TargetName</a></div><div class="ttdeci">private string m_TargetName</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00023">expansionactionpaint.c:23</a></div></div>
<div class="ttc" id="aa01635_html_a86bc60a7647c200112d1ff5435236f19"><div class="ttname"><a href="../../dd/d2d/a01635.html#a86bc60a7647c200112d1ff5435236f19">ExpansionActionPaint::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00039">expansionactionpaint.c:39</a></div></div>
<div class="ttc" id="aa01635_html_aab5a7d093fb3ea7f3abaae98f2d25091"><div class="ttname"><a href="../../dd/d2d/a01635.html#aab5a7d093fb3ea7f3abaae98f2d25091">ExpansionActionPaint::ExpansionActionPaint</a></div><div class="ttdeci">void ExpansionActionPaint()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00028">expansionactionpaint.c:28</a></div></div>
<div class="ttc" id="aa01635_html_ab4ccc84f111cc7f214893875e70d1ea7"><div class="ttname"><a href="../../dd/d2d/a01635.html#ab4ccc84f111cc7f214893875e70d1ea7">ExpansionActionPaint::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00055">expansionactionpaint.c:55</a></div></div>
<div class="ttc" id="aa01635_html_ab9ec71d994c38a146cd3b1ef313ab74e"><div class="ttname"><a href="../../dd/d2d/a01635.html#ab9ec71d994c38a146cd3b1ef313ab74e">ExpansionActionPaint::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00050">expansionactionpaint.c:50</a></div></div>
<div class="ttc" id="aa01635_html_ad42f7286644018f653b7bed6a9359bed"><div class="ttname"><a href="../../dd/d2d/a01635.html#ad42f7286644018f653b7bed6a9359bed">ExpansionActionPaint::OnStartClient</a></div><div class="ttdeci">override void OnStartClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00116">expansionactionpaint.c:116</a></div></div>
<div class="ttc" id="aa01635_html_adda85b05fdabb334bb996ae2fc8ed33e"><div class="ttname"><a href="../../dd/d2d/a01635.html#adda85b05fdabb334bb996ae2fc8ed33e">ExpansionActionPaint::m_TargetDisplayName</a></div><div class="ttdeci">private string m_TargetDisplayName</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00024">expansionactionpaint.c:24</a></div></div>
<div class="ttc" id="aa01663_html"><div class="ttname"><a href="../../dd/d38/a01663.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa01663_html_ac09ecb040b563d10461f145db0f55e12"><div class="ttname"><a href="../../dd/d38/a01663.html#ac09ecb040b563d10461f145db0f55e12">ItemBase::ExpansionSetSkin</a></div><div class="ttdeci">void ExpansionSetSkin(int skinIndex)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5c/a03483_source.html#l00411">itembase.c:411</a></div></div>
<div class="ttc" id="aa01847_html"><div class="ttname"><a href="../../d3/d19/a01847.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa02559_html"><div class="ttname"><a href="../../d3/d80/a02559.html">ExpansionSkinModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d27/a01043_source.html#l00014">expansionskinmodule.c:15</a></div></div>
<div class="ttc" id="aa02559_html_acfb8193ed909a421fc41532be55bc815"><div class="ttname"><a href="../../d3/d80/a02559.html#acfb8193ed909a421fc41532be55bc815">ExpansionSkinModule::GetSkinIndex</a></div><div class="ttdeci">int GetSkinIndex(string classname, string skin)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d27/a01043_source.html#l00216">expansionskinmodule.c:216</a></div></div>
<div class="ttc" id="aa02575_html"><div class="ttname"><a href="../../db/d39/a02575.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d71/a01055_source.html#l00013">actioncontinuousbase.c:14</a></div></div>
<div class="ttc" id="aa02631_html"><div class="ttname"><a href="../../d0/d9a/a02631.html">ExpansionActionPaintCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00013">expansionactionpaint.c:14</a></div></div>
<div class="ttc" id="aa02631_html_aa8eaed8da4b6553972f76e3be2bf78cd"><div class="ttname"><a href="../../d0/d9a/a02631.html#aa8eaed8da4b6553972f76e3be2bf78cd">ExpansionActionPaintCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/a03465_source.html#l00015">expansionactionpaint.c:15</a></div></div>
<div class="ttc" id="aa02711_html"><div class="ttname"><a href="../../d8/dd0/a02711.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa02763_html"><div class="ttname"><a href="../../d5/d4d/a02763.html">ExpansionSpraycanBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d5a/a01199_source.html#l00016">expansionspraycanbase.c:17</a></div></div>
<div class="ttc" id="aa02923_html"><div class="ttname"><a href="../../d6/df9/a02923.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1c/a01229_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa02923_html_ab6aa9c36855d56239cf312e722fa41c6"><div class="ttname"><a href="../../d6/df9/a02923.html#ab6aa9c36855d56239cf312e722fa41c6">CarScript::ExpansionSetSkin</a></div><div class="ttdeci">void ExpansionSetSkin(int skinIndex)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1c/a01229_source.html#l00068">carscript.c:68</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f555e9bea97b25daad793b5356d1a5c2.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_ebe2728bee2d9ca5851343381d237e13.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_7e2044d0e1d37cb67297a39683216021.html">continuous</a></li><li class="navelem"><a class="el" href="../../da/da5/a03465.html">expansionactionpaint.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
